
package org.avmdti.josast.util.mathematique;

/**
 * 
 * @author Xtophe
 * @version 1.0
 */
public class CoordTopo {

	private double azimuth;

	private double elevation;

	private double Range;

	private double RangeRate;

	/**
	 * @param azimuth
	 * @param elevation
	 * @param range
	 * @param rangeRate
	 */
	public CoordTopo(double az, double el, double range, double rangeRate) {
		super();
		azimuth = az;
		elevation = el;
		Range = range;
		RangeRate = rangeRate;
	}

	public CoordTopo() {
		azimuth = 0.0;
		elevation = 0.0;
		Range = 0.0;
		RangeRate = 0.0;

	}



	public double getAzimuth() {
		return azimuth;
	}

	public void setAzimuth(double azimuth) {
		this.azimuth = azimuth;
	}

	public double getElevation() {
		return elevation;
	}

	public void setElevation(double elevation) {
		this.elevation = elevation;
	}

	/**
	 * @return Returns the range.
	 */
	public double getRange() {
		return Range;
	}

	/**
	 * @param range
	 *            The range to set.
	 */
	public void setRange(double range) {
		Range = range;
	}

	/**
	 * @return Returns the rangeRate.
	 */
	public double getRangeRate() {
		return RangeRate;
	}

	/**
	 * @param rangeRate
	 *            The rangeRate to set.
	 */
	public void setRangeRate(double rangeRate) {
		RangeRate = rangeRate;
	}
}